import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/yyaaa1/3c3fe56101e54436773a939dff7bad95/raw/84fbb36f2d812cce03a4c9c8b61fe239d0f15f04/BusinessFinance.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d.price = +d.price;
      d.numSubscribers = +d.numSubscribers;
      d.numPublishedLectures = +d.numPublishedLectures;
      d.contentInfo = +d.contentInfo;
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  
  return data;
};